Ubuntu

[Gutsy] HAL won't start

Reported by Scott Beamer on 2007-10-02
36
Affects Status Importance Assigned to Milestone
hal (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: hal

Hal seems to have been "broken" with the most recent updates.

It won't start and is causing other programs (and their dependants) to break.

This is a rather "grave" situation.

I've mentioned recently in other related bugs but it occurred to me that there wasn't a recent bug (that I could find) for HAL itself.

~$ uname -a
Linux scottbox 2.6.22-12-generic #1 SMP Sun Sep 23 18:11:30 GMT 2007 i686 GNU/Linux

~$ sudo apt-get dist-upgrade
[sudo] password for scott:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  libopal-2.2.0
The following NEW packages will be installed:
  libopal-2.2
The following packages will be upgraded:
  capplets-data cups-pdf debconf debconf-i18n ekiga eog gimp gimp-data gimp-dbg gimp-helpbrowser
  gimp-libcurl gimp-python gnome-control-center gnome-keyring gnome-screensaver gnupg gpgv
  guidance-backends gutsy-wallpapers hal hal-device-manager kappfinder kate kcontrol kde-guidance
  kde-guidance-powermanager kdebase-bin kdebase-data kdebase-kio-plugins kdepasswd kdeprint kdesktop kdm
  kfind khelpcenter kicker klipper kmenuedit konqueror konqueror-nsplugins konsole kpersonalizer
  ksmserver ksplash ksysguard ksysguardd kwin language-pack-gnome-en libbeagle0 libgimp2.0
  libgnome-keyring0 libgnome-window-settings1 libhal-storage1 libhal1 libkonq4 libpam-gnome-keyring
  libpam-modules libpam-runtime libpam0g libpaper-utils libpaper1 libqt3-headers libqt3-mt libqt3-mt-psql
  libqt4-core libqt4-gui libqt4-qt3support libqt4-sql libusplash0 liferea network-manager-openvpn
  python-apt qt-x11-free-dbg qt3-dev-tools qt4-qtconfig rhythmbox serpentine system-config-printer
  tasksel tasksel-data ubuntu-artwork ubuntu-desktop ubuntu-minimal ubuntu-standard unattended-upgrades
  update-manager update-manager-core usplash
88 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
21 not fully installed or removed.
Need to get 120MB of archives.
After unpacking 2036kB disk space will be freed.
Do you want to continue [Y/n]? y
Get:1 http://archive.ubuntu.com gutsy/main libhal1 0.5.9.1-6ubuntu1 [371kB]
Get:2 http://archive.ubuntu.com gutsy/main libhal-storage1 0.5.9.1-6ubuntu1 [369kB]
Get:3 http://archive.ubuntu.com gutsy/main libgnome-keyring0 2.20-0ubuntu2 [48.5kB]
Get:4 http://archive.ubuntu.com gutsy/main gnome-keyring 2.20-0ubuntu2 [89.7kB]
Get:5 http://archive.ubuntu.com gutsy/main hal 0.5.9.1-6ubuntu1 [689kB]
Get:6 http://archive.ubuntu.com gutsy/main gnome-control-center 1:2.20.0.1-0ubuntu2 [677kB]
Get:7 http://archive.ubuntu.com gutsy/main libgnome-window-settings1 1:2.20.0.1-0ubuntu2 [108kB]
Get:8 http://archive.ubuntu.com gutsy/main capplets-data 1:2.20.0.1-0ubuntu2 [486kB]
Get:9 http://archive.ubuntu.com gutsy/main system-config-printer 0.7.75+svn1628-0ubuntu1 [280kB]
Get:10 http://archive.ubuntu.com gutsy/main hal-device-manager 0.5.9.1-6ubuntu1 [411kB]
Get:11 http://archive.ubuntu.com gutsy/main qt-x11-free-dbg 3:3.3.8really3.3.7-0ubuntu11 [32.8MB]
Get:12 http://archive.ubuntu.com gutsy/main libqt3-mt 3:3.3.8really3.3.7-0ubuntu11 [3299kB]
Get:13 http://archive.ubuntu.com gutsy/main guidance-backends 0.8.0svn20070928-0ubuntu2 [254kB]
Get:14 http://archive.ubuntu.com gutsy/main kde-guidance 0.8.0svn20070928-0ubuntu2 [555kB]
Get:15 http://archive.ubuntu.com gutsy/main kde-guidance-powermanager 0.8.0svn20070928-0ubuntu2 [70.5kB]
Get:16 http://archive.ubuntu.com gutsy/main libkonq4 4:3.5.7-1ubuntu26 [291kB]
Get:17 http://archive.ubuntu.com gutsy/main debconf-i18n 1.5.14ubuntu1 [160kB]
Get:18 http://archive.ubuntu.com gutsy/main debconf 1.5.14ubuntu1 [151kB]
Get:19 http://archive.ubuntu.com gutsy/main libpam-runtime 0.99.7.1-5ubuntu1 [60.4kB]
Get:20 http://archive.ubuntu.com gutsy/main libpam0g 0.99.7.1-5ubuntu1 [86.2kB]
Get:21 http://archive.ubuntu.com gutsy/main kdebase-data 4:3.5.7-1ubuntu26 [9451kB]
Get:22 http://archive.ubuntu.com gutsy/main kdm 4:3.5.7-1ubuntu26 [662kB]
Get:23 http://archive.ubuntu.com gutsy/main konqueror 4:3.5.7-1ubuntu26 [2051kB]
Get:24 http://archive.ubuntu.com gutsy/main kdesktop 4:3.5.7-1ubuntu26 [802kB]
Get:25 http://archive.ubuntu.com gutsy/main kdebase-bin 4:3.5.7-1ubuntu26 [1321kB]
Get:26 http://archive.ubuntu.com gutsy/main kdebase-kio-plugins 4:3.5.7-1ubuntu26 [1146kB]
Get:27 http://archive.ubuntu.com gutsy/main kfind 4:3.5.7-1ubuntu26 [223kB]
Get:28 http://archive.ubuntu.com gutsy/main kicker 4:3.5.7-1ubuntu26 [2071kB]
Get:29 http://archive.ubuntu.com gutsy/main kcontrol 4:3.5.7-1ubuntu26 [3010kB]
Get:30 http://archive.ubuntu.com gutsy/main kdepasswd 4:3.5.7-1ubuntu26 [260kB]
Get:31 http://archive.ubuntu.com gutsy/main kdeprint 4:3.5.7-1ubuntu26 [1487kB]
Get:32 http://archive.ubuntu.com gutsy/main khelpcenter 4:3.5.7-1ubuntu26 [2319kB]
Get:33 http://archive.ubuntu.com gutsy/main kmenuedit 4:3.5.7-1ubuntu26 [398kB]
Get:34 http://archive.ubuntu.com gutsy/main konsole 4:3.5.7-1ubuntu26 [759kB]
Get:35 http://archive.ubuntu.com gutsy/main ksmserver 4:3.5.7-1ubuntu26 [199kB]
Get:36 http://archive.ubuntu.com gutsy/main kwin 4:3.5.7-1ubuntu26 [1060kB]
Get:37 http://archive.ubuntu.com gutsy/main ksplash 4:3.5.7-1ubuntu26 [729kB]
Get:38 http://archive.ubuntu.com gutsy/main libusplash0 0.5.6 [92.8kB]
Get:39 http://archive.ubuntu.com gutsy/main usplash 0.5.6 [25.1kB]
Get:40 http://archive.ubuntu.com gutsy/main eog 2.20.0-0ubuntu3 [1124kB]
Get:41 http://archive.ubuntu.com gutsy/main gimp-dbg 2.4.0~rc3-1ubuntu2 [11.2MB]
Get:42 http://archive.ubuntu.com gutsy/main libgimp2.0 2.4.0~rc3-1ubuntu2 [905kB]
Get:43 http://archive.ubuntu.com gutsy/main gimp-helpbrowser 2.4.0~rc3-1ubuntu2 [402kB]
Get:44 http://archive.ubuntu.com gutsy/universe gimp-libcurl 2.4.0~rc3-1ubuntu2 [383kB]
Get:45 http://archive.ubuntu.com gutsy/main gimp-python 2.4.0~rc3-1ubuntu2 [525kB]
Get:46 http://archive.ubuntu.com gutsy/main gimp 2.4.0~rc3-1ubuntu2 [4267kB]
Get:47 http://archive.ubuntu.com gutsy/main gimp-data 2.4.0~rc3-1ubuntu2 [2244kB]
Get:48 http://archive.ubuntu.com gutsy/main serpentine 0.9-0ubuntu2 [89.5kB]
Get:49 http://archive.ubuntu.com gutsy/main gutsy-wallpapers 0.17 [1391kB]
Get:50 http://archive.ubuntu.com gutsy/main ubuntu-artwork 38 [17.3kB]
Get:51 http://archive.ubuntu.com gutsy/main python-apt 0.7.3.1ubuntu2 [197kB]
Get:52 http://archive.ubuntu.com gutsy/main update-manager-core 1:0.79 [29.8kB]
Get:53 http://archive.ubuntu.com gutsy/main update-manager 1:0.79 [884kB]
Get:54 http://archive.ubuntu.com gutsy/main ubuntu-desktop 1.75 [23.2kB]
Get:55 http://archive.ubuntu.com gutsy/main ekiga 2.0.11-1ubuntu1 [5130kB]
Get:56 http://archive.ubuntu.com gutsy/main libopal-2.2 2.2.11~dfsg1-1ubuntu1 [2545kB]
Get:57 http://archive.ubuntu.com gutsy/main libpaper1 1.1.22ubuntu1 [20.8kB]
Get:58 http://archive.ubuntu.com gutsy/main libpaper-utils 1.1.22ubuntu1 [18.0kB]
Get:59 http://archive.ubuntu.com gutsy/main cups-pdf 2.4.6-3ubuntu6 [43.0kB]
Get:60 http://archive.ubuntu.com gutsy/main language-pack-gnome-en 1:7.10+20070929 [37.7kB]
Get:61 http://archive.ubuntu.com gutsy/main libpam-modules 0.99.7.1-5ubuntu1 [260kB]
Get:62 http://archive.ubuntu.com gutsy/main gpgv 1.4.6-2ubuntu4 [146kB]
Get:63 http://archive.ubuntu.com gutsy/main gnupg 1.4.6-2ubuntu4 [865kB]
Get:64 http://archive.ubuntu.com gutsy/main tasksel-data 2.67ubuntu9 [38.4kB]
Get:65 http://archive.ubuntu.com gutsy/main tasksel 2.67ubuntu9 [59.7kB]
Get:66 http://archive.ubuntu.com gutsy/main ubuntu-minimal 1.75 [22.4kB]
Get:67 http://archive.ubuntu.com gutsy/main ubuntu-standard 1.75 [22.2kB]
Get:68 http://archive.ubuntu.com gutsy/main gnome-screensaver 2.20.0-0ubuntu4 [1570kB]
Get:69 http://archive.ubuntu.com gutsy/main kappfinder 4:3.5.7-1ubuntu26 [318kB]
Get:70 http://archive.ubuntu.com gutsy/main kate 4:3.5.7-1ubuntu26 [818kB]
Get:71 http://archive.ubuntu.com gutsy/main klipper 4:3.5.7-1ubuntu26 [296kB]
Get:72 http://archive.ubuntu.com gutsy/main konqueror-nsplugins 4:3.5.7-1ubuntu26 [165kB]
Get:73 http://archive.ubuntu.com gutsy/main kpersonalizer 4:3.5.7-1ubuntu26 [507kB]
Get:74 http://archive.ubuntu.com gutsy/main ksysguard 4:3.5.7-1ubuntu26 [526kB]
Get:75 http://archive.ubuntu.com gutsy/main ksysguardd 4:3.5.7-1ubuntu26 [85.9kB]
Get:76 http://archive.ubuntu.com gutsy/main libbeagle0 0.2.18-0ubuntu3 [86.2kB]
Get:77 http://archive.ubuntu.com gutsy/main libpam-gnome-keyring 2.20-0ubuntu2 [37.6kB]
Get:78 http://archive.ubuntu.com gutsy/main libqt3-headers 3:3.3.8really3.3.7-0ubuntu11 [355kB]
Get:79 http://archive.ubuntu.com gutsy/universe libqt3-mt-psql 3:3.3.8really3.3.7-0ubuntu11 [56.6kB]
Get:80 http://archive.ubuntu.com gutsy/main libqt4-core 4.3.1-0ubuntu3 [1661kB]
Get:81 http://archive.ubuntu.com gutsy/main libqt4-gui 4.3.1-0ubuntu3 [4878kB]
Get:82 http://archive.ubuntu.com gutsy/main libqt4-sql 4.3.1-0ubuntu3 [137kB]
Get:83 http://archive.ubuntu.com gutsy/main libqt4-qt3support 4.3.1-0ubuntu3 [1019kB]
Get:84 http://archive.ubuntu.com gutsy/main liferea 1.4.3b-0ubuntu2 [699kB]
Get:85 http://archive.ubuntu.com gutsy/universe network-manager-openvpn 0.3.2svn2342-1ubuntu3 [68.8kB]
Get:86 http://archive.ubuntu.com gutsy/main qt3-dev-tools 3:3.3.8really3.3.7-0ubuntu11 [1239kB]
Get:87 http://archive.ubuntu.com gutsy/universe qt4-qtconfig 4.3.1-0ubuntu3 [92.3kB]
Get:88 http://archive.ubuntu.com gutsy/main rhythmbox 0.11.2-0ubuntu4 [3322kB]
Get:89 http://archive.ubuntu.com gutsy/main unattended-upgrades 0.25.3ubuntu1 [7224B]
Fetched 120MB in 15m26s (130kB/s)
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 249751 files and directories currently installed.)
Preparing to replace libhal1 0.5.9.1-1ubuntu9 (using .../libhal1_0.5.9.1-6ubuntu1_i386.deb) ...
Unpacking replacement libhal1 ...
Preparing to replace libhal-storage1 0.5.9.1-1ubuntu9 (using .../libhal-storage1_0.5.9.1-6ubuntu1_i386.deb) ...
Unpacking replacement libhal-storage1 ...
Preparing to replace libgnome-keyring0 2.20-0ubuntu1 (using .../libgnome-keyring0_2.20-0ubuntu2_i386.deb) ...
Unpacking replacement libgnome-keyring0 ...
Preparing to replace gnome-keyring 2.20-0ubuntu1 (using .../gnome-keyring_2.20-0ubuntu2_i386.deb) ...
Unpacking replacement gnome-keyring ...
Preparing to replace hal 0.5.9.1-1ubuntu9 (using .../hal_0.5.9.1-6ubuntu1_i386.deb) ...
 * Stopping Hardware abstraction layer hald [ OK ]
Unpacking replacement hal ...
Preparing to replace gnome-control-center 1:2.20.0-0ubuntu5 (using .../gnome-control-center_1%3a2.20.0.1-0ubuntu2_i386.deb) ...
Unpacking replacement gnome-control-center ...
Preparing to replace libgnome-window-settings1 1:2.20.0-0ubuntu5 (using .../libgnome-window-settings1_1%3a2.20.0.1-0ubuntu2_i386.deb) ...
Unpacking replacement libgnome-window-settings1 ...
Preparing to replace capplets-data 1:2.20.0-0ubuntu5 (using .../capplets-data_1%3a2.20.0.1-0ubuntu2_all.deb) ...
Unpacking replacement capplets-data ...
Preparing to replace system-config-printer 0.7.75+svn1566-0ubuntu1 (using .../system-config-printer_0.7.75+svn1628-0ubuntu1_all.deb) ...
Unpacking replacement system-config-printer ...
Preparing to replace hal-device-manager 0.5.9.1-1ubuntu9 (using .../hal-device-manager_0.5.9.1-6ubuntu1_all.deb) ...
Unpacking replacement hal-device-manager ...
Preparing to replace qt-x11-free-dbg 3:3.3.8really3.3.7-0ubuntu10 (using .../qt-x11-free-dbg_3%3a3.3.8really3.3.7-0ubuntu11_i386.deb) ...
Unpacking replacement qt-x11-free-dbg ...
Preparing to replace libqt3-mt 3:3.3.8really3.3.7-0ubuntu10 (using .../libqt3-mt_3%3a3.3.8really3.3.7-0ubuntu11_i386.deb) ...
Unpacking replacement libqt3-mt ...
Preparing to replace guidance-backends 0.8.0svn20070928-0ubuntu1 (using .../guidance-backends_0.8.0svn20070928-0ubuntu2_i386.deb) ...
Unpacking replacement guidance-backends ...
Preparing to replace kde-guidance 0.8.0svn20070928-0ubuntu1 (using .../kde-guidance_0.8.0svn20070928-0ubuntu2_i386.deb) ...
Unpacking replacement kde-guidance ...
Preparing to replace kde-guidance-powermanager 0.8.0svn20070928-0ubuntu1 (using .../kde-guidance-powermanager_0.8.0svn20070928-0ubuntu2_i386.deb) ...
Unpacking replacement kde-guidance-powermanager ...
Preparing to replace libkonq4 4:3.5.7-1ubuntu25 (using .../libkonq4_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement libkonq4 ...
Preparing to replace debconf-i18n 1.5.14 (using .../debconf-i18n_1.5.14ubuntu1_all.deb) ...
Unpacking replacement debconf-i18n ...
Preparing to replace debconf 1.5.14 (using .../debconf_1.5.14ubuntu1_all.deb) ...
Unpacking replacement debconf ...
Preparing to replace libpam-runtime 0.99.7.1-4ubuntu4 (using .../libpam-runtime_0.99.7.1-5ubuntu1_all.deb) ...
Unpacking replacement libpam-runtime ...
Setting up libpam-runtime (0.99.7.1-5ubuntu1) ...

(Reading database ... 249750 files and directories currently installed.)
Preparing to replace libpam0g 0.99.7.1-4ubuntu4 (using .../libpam0g_0.99.7.1-5ubuntu1_i386.deb) ...
Unpacking replacement libpam0g ...
Setting up debconf-i18n (1.5.14ubuntu1) ...
Setting up debconf (1.5.14ubuntu1) ...
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device

Setting up libpam0g (0.99.7.1-5ubuntu1) ...
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
(Reading database ... 249751 files and directories currently installed.)
Preparing to replace kdebase-data 4:3.5.7-1ubuntu25 (using .../kdebase-data_4%3a3.5.7-1ubuntu26_all.deb) ...
Unpacking replacement kdebase-data ...
Preparing to replace kdm 4:3.5.7-1ubuntu25 (using .../kdm_4%3a3.5.7-1ubuntu26_i386.deb) ...
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
Unpacking replacement kdm ...
Preparing to replace konqueror 4:3.5.7-1ubuntu25 (using .../konqueror_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement konqueror ...
Preparing to replace kdesktop 4:3.5.7-1ubuntu25 (using .../kdesktop_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kdesktop ...
Preparing to replace kdebase-bin 4:3.5.7-1ubuntu25 (using .../kdebase-bin_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kdebase-bin ...
Preparing to replace kdebase-kio-plugins 4:3.5.7-1ubuntu25 (using .../kdebase-kio-plugins_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kdebase-kio-plugins ...
Preparing to replace kfind 4:3.5.7-1ubuntu25 (using .../kfind_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kfind ...
Preparing to replace kicker 4:3.5.7-1ubuntu25 (using .../kicker_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kicker ...
Preparing to replace kcontrol 4:3.5.7-1ubuntu25 (using .../kcontrol_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kcontrol ...
Preparing to replace kdepasswd 4:3.5.7-1ubuntu25 (using .../kdepasswd_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kdepasswd ...
Preparing to replace kdeprint 4:3.5.7-1ubuntu25 (using .../kdeprint_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kdeprint ...
Preparing to replace khelpcenter 4:3.5.7-1ubuntu25 (using .../khelpcenter_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement khelpcenter ...
Preparing to replace kmenuedit 4:3.5.7-1ubuntu25 (using .../kmenuedit_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kmenuedit ...
Preparing to replace konsole 4:3.5.7-1ubuntu25 (using .../konsole_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement konsole ...
Preparing to replace ksmserver 4:3.5.7-1ubuntu25 (using .../ksmserver_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement ksmserver ...
Preparing to replace kwin 4:3.5.7-1ubuntu25 (using .../kwin_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kwin ...
Preparing to replace ksplash 4:3.5.7-1ubuntu25 (using .../ksplash_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement ksplash ...
Preparing to replace libusplash0 0.5.5 (using .../libusplash0_0.5.6_i386.deb) ...
Unpacking replacement libusplash0 ...
Preparing to replace usplash 0.5.5 (using .../usplash_0.5.6_i386.deb) ...
Unpacking replacement usplash ...
Preparing to replace eog 2.20.0-0ubuntu2 (using .../eog_2.20.0-0ubuntu3_i386.deb) ...
Unpacking replacement eog ...
Preparing to replace gimp-dbg 2.4.0~rc2-1ubuntu1 (using .../gimp-dbg_2.4.0~rc3-1ubuntu2_i386.deb) ...
Unpacking replacement gimp-dbg ...
Preparing to replace libgimp2.0 2.4.0~rc2-1ubuntu1 (using .../libgimp2.0_2.4.0~rc3-1ubuntu2_i386.deb) ...
Unpacking replacement libgimp2.0 ...
Preparing to replace gimp-helpbrowser 2.4.0~rc2-1ubuntu1 (using .../gimp-helpbrowser_2.4.0~rc3-1ubuntu2_i386.deb) ...
Unpacking replacement gimp-helpbrowser ...
Preparing to replace gimp-libcurl 2.4.0~rc2-1ubuntu1 (using .../gimp-libcurl_2.4.0~rc3-1ubuntu2_i386.deb) ...
Unpacking replacement gimp-libcurl ...
Preparing to replace gimp-python 2.4.0~rc2-1ubuntu1 (using .../gimp-python_2.4.0~rc3-1ubuntu2_i386.deb) ...
Unpacking replacement gimp-python ...
Preparing to replace gimp 2.4.0~rc2-1ubuntu1 (using .../gimp_2.4.0~rc3-1ubuntu2_i386.deb) ...
Unpacking replacement gimp ...
Preparing to replace gimp-data 2.4.0~rc2-1ubuntu1 (using .../gimp-data_2.4.0~rc3-1ubuntu2_all.deb) ...
Unpacking replacement gimp-data ...
Preparing to replace serpentine 0.9-0ubuntu1 (using .../serpentine_0.9-0ubuntu2_all.deb) ...
Unpacking replacement serpentine ...
Preparing to replace gutsy-wallpapers 0.16 (using .../gutsy-wallpapers_0.17_all.deb) ...
Unpacking replacement gutsy-wallpapers ...
Preparing to replace ubuntu-artwork 37 (using .../ubuntu-artwork_38_all.deb) ...
Unpacking replacement ubuntu-artwork ...
Preparing to replace python-apt 0.7.3.1ubuntu1 (using .../python-apt_0.7.3.1ubuntu2_i386.deb) ...
Unpacking replacement python-apt ...
Preparing to replace update-manager-core 1:0.78 (using .../update-manager-core_1%3a0.79_i386.deb) ...
Unpacking replacement update-manager-core ...
Preparing to replace update-manager 1:0.78 (using .../update-manager_1%3a0.79_all.deb) ...
Unpacking replacement update-manager ...
Preparing to replace ubuntu-desktop 1.74 (using .../ubuntu-desktop_1.75_i386.deb) ...
Unpacking replacement ubuntu-desktop ...
Preparing to replace ekiga 2.0.9-0ubuntu3 (using .../ekiga_2.0.11-1ubuntu1_i386.deb) ...
Unpacking replacement ekiga ...
(Reading database ... 249757 files and directories currently installed.)
Removing libopal-2.2.0 ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Selecting previously deselected package libopal-2.2.
(Reading database ... 249749 files and directories currently installed.)
Unpacking libopal-2.2 (from .../libopal-2.2_2.2.11~dfsg1-1ubuntu1_i386.deb) ...
Preparing to replace libpaper1 1.1.22 (using .../libpaper1_1.1.22ubuntu1_i386.deb) ...
Unpacking replacement libpaper1 ...
Preparing to replace libpaper-utils 1.1.22 (using .../libpaper-utils_1.1.22ubuntu1_i386.deb) ...
Unpacking replacement libpaper-utils ...
Preparing to replace cups-pdf 2.4.6-3ubuntu5 (using .../cups-pdf_2.4.6-3ubuntu6_i386.deb) ...
Unpacking replacement cups-pdf ...
Preparing to replace language-pack-gnome-en 1:7.10+20070928 (using .../language-pack-gnome-en_1%3a7.10+20070929_all.deb) ...
Unpacking replacement language-pack-gnome-en ...
Replacing files in old package language-pack-gnome-en-base ...
Preparing to replace libpam-modules 0.99.7.1-4ubuntu4 (using .../libpam-modules_0.99.7.1-5ubuntu1_i386.deb) ...
Unpacking replacement libpam-modules ...
Setting up libpam-modules (0.99.7.1-5ubuntu1) ...

(Reading database ... 249757 files and directories currently installed.)
Preparing to replace gpgv 1.4.6-2ubuntu3 (using .../gpgv_1.4.6-2ubuntu4_i386.deb) ...
Unpacking replacement gpgv ...
Preparing to replace gnupg 1.4.6-2ubuntu3 (using .../gnupg_1.4.6-2ubuntu4_i386.deb) ...
Unpacking replacement gnupg ...
Preparing to replace tasksel-data 2.67ubuntu8 (using .../tasksel-data_2.67ubuntu9_all.deb) ...
Unpacking replacement tasksel-data ...
Preparing to replace tasksel 2.67ubuntu8 (using .../tasksel_2.67ubuntu9_all.deb) ...
Unpacking replacement tasksel ...
Preparing to replace ubuntu-minimal 1.74 (using .../ubuntu-minimal_1.75_i386.deb) ...
Unpacking replacement ubuntu-minimal ...
Preparing to replace ubuntu-standard 1.74 (using .../ubuntu-standard_1.75_i386.deb) ...
Unpacking replacement ubuntu-standard ...
Preparing to replace gnome-screensaver 2.20.0-0ubuntu3 (using .../gnome-screensaver_2.20.0-0ubuntu4_i386.deb) ...
Unpacking replacement gnome-screensaver ...
Preparing to replace kappfinder 4:3.5.7-1ubuntu25 (using .../kappfinder_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kappfinder ...
Preparing to replace kate 4:3.5.7-1ubuntu25 (using .../kate_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kate ...
Preparing to replace klipper 4:3.5.7-1ubuntu25 (using .../klipper_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement klipper ...
Preparing to replace konqueror-nsplugins 4:3.5.7-1ubuntu25 (using .../konqueror-nsplugins_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement konqueror-nsplugins ...
Preparing to replace kpersonalizer 4:3.5.7-1ubuntu25 (using .../kpersonalizer_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement kpersonalizer ...
Preparing to replace ksysguard 4:3.5.7-1ubuntu25 (using .../ksysguard_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement ksysguard ...
Preparing to replace ksysguardd 4:3.5.7-1ubuntu25 (using .../ksysguardd_4%3a3.5.7-1ubuntu26_i386.deb) ...
Unpacking replacement ksysguardd ...
Preparing to replace libbeagle0 0.2.18-0ubuntu2 (using .../libbeagle0_0.2.18-0ubuntu3_i386.deb) ...
Unpacking replacement libbeagle0 ...
Preparing to replace libpam-gnome-keyring 2.20-0ubuntu1 (using .../libpam-gnome-keyring_2.20-0ubuntu2_i386.deb) ...
Unpacking replacement libpam-gnome-keyring ...
Preparing to replace libqt3-headers 3:3.3.8really3.3.7-0ubuntu10 (using .../libqt3-headers_3%3a3.3.8really3.3.7-0ubuntu11_i386.deb) ...
Unpacking replacement libqt3-headers ...
Preparing to replace libqt3-mt-psql 3:3.3.8really3.3.7-0ubuntu10 (using .../libqt3-mt-psql_3%3a3.3.8really3.3.7-0ubuntu11_i386.deb) ...
Unpacking replacement libqt3-mt-psql ...
Preparing to replace libqt4-core 4.3.1-0ubuntu2 (using .../libqt4-core_4.3.1-0ubuntu3_i386.deb) ...
Unpacking replacement libqt4-core ...
Preparing to replace libqt4-gui 4.3.1-0ubuntu2 (using .../libqt4-gui_4.3.1-0ubuntu3_i386.deb) ...
Unpacking replacement libqt4-gui ...
Preparing to replace libqt4-sql 4.3.1-0ubuntu2 (using .../libqt4-sql_4.3.1-0ubuntu3_i386.deb) ...
Unpacking replacement libqt4-sql ...
Preparing to replace libqt4-qt3support 4.3.1-0ubuntu2 (using .../libqt4-qt3support_4.3.1-0ubuntu3_i386.deb) ...
Unpacking replacement libqt4-qt3support ...
Preparing to replace liferea 1.4.2-0ubuntu1 (using .../liferea_1.4.3b-0ubuntu2_i386.deb) ...
Unpacking replacement liferea ...
Preparing to replace network-manager-openvpn 0.3.2svn2342-1ubuntu2 (using .../network-manager-openvpn_0.3.2svn2342-1ubuntu3_i386.deb) ...
Unpacking replacement network-manager-openvpn ...
Preparing to replace qt3-dev-tools 3:3.3.8really3.3.7-0ubuntu10 (using .../qt3-dev-tools_3%3a3.3.8really3.3.7-0ubuntu11_i386.deb) ...
Unpacking replacement qt3-dev-tools ...
Preparing to replace qt4-qtconfig 4.3.1-0ubuntu2 (using .../qt4-qtconfig_4.3.1-0ubuntu3_i386.deb) ...
Unpacking replacement qt4-qtconfig ...
Preparing to replace rhythmbox 0.11.2-0ubuntu3 (using .../rhythmbox_0.11.2-0ubuntu4_i386.deb) ...
Unpacking replacement rhythmbox ...
Preparing to replace unattended-upgrades 0.25.2ubuntu1 (using .../unattended-upgrades_0.25.3ubuntu1_all.deb) ...
Unpacking replacement unattended-upgrades ...
Setting up libhal1 (0.5.9.1-6ubuntu1) ...

Setting up libhal-storage1 (0.5.9.1-6ubuntu1) ...

Setting up gnome-keyring (2.20-0ubuntu2) ...
Setting up libgnome-keyring0 (2.20-0ubuntu2) ...

Setting up hal (0.5.9.1-6ubuntu1) ...
Installing new version of config file /etc/init.d/hal ...
 * Reloading system message bus config... [ OK ]
 * Starting Hardware abstraction layer hald invoke-rc.d: initscript hal, action "start" failed.
dpkg: error processing hal (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of gnome-mount:
 gnome-mount depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing gnome-mount (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-power-manager:
 gnome-power-manager depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing gnome-power-manager (--configure):
 dependency problems - leaving unconfigured
Setting up capplets-data (1:2.20.0.1-0ubuntu2) ...

dpkg: dependency problems prevent configuration of gnome-session:
 gnome-session depends on gnome-power-manager; however:
  Package gnome-power-manager is not configured yet.
dpkg: error processing gnome-session (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-volume-manager:
 gnome-volume-manager depends on hal (>= 0.5.5.1); however:
  Package hal is not configured yet.
 gnome-volume-manager depends on gnome-mount; however:
  Package gnome-mount is not configured yet.
dpkg: error processing gnome-volume-manager (--configure):
 dependency problems - leaving unconfigured
Setting up system-config-printer (0.7.75+svn1628-0ubuntu1) ...
Installing new version of config file /etc/xdg/autostart/redhat-print-applet.desktop ...

dpkg: dependency problems prevent configuration of hal-cups-utils:
 hal-cups-utils depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing hal-cups-utils (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of hwdb-client-common:
 hwdb-client-common depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing hwdb-client-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of hwdb-client-gnome:
 hwdb-client-gnome depends on hwdb-client-common (>= 0.6-0ubuntu23); however:
  Package hwdb-client-common is not configured yet.
dpkg: error processing hwdb-client-gnome (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of hal-device-manager:
 hal-device-manager depends on hal; however:
  Package hal is not configured yet.
 hal-device-manager depends on hwdb-client-gnome; however:
  Package hwdb-client-gnome is not configured yet.
dpkg: error processing hal-device-manager (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of hwdb-client-kde:
 hwdb-client-kde depends on hwdb-client-common; however:
  Package hwdb-client-common is not configured yet.
dpkg: error processing hwdb-client-kde (--configure):
 dependency problems - leaving unconfigured
Setting up libqt3-mt (3:3.3.8really3.3.7-0ubuntu11) ...

Setting up qt-x11-free-dbg (3:3.3.8really3.3.7-0ubuntu11) ...
Setting up guidance-backends (0.8.0svn20070928-0ubuntu2) ...

Setting up kde-guidance (0.8.0svn20070928-0ubuntu2) ...
 Removing any system startup links for /etc/init.d/displayconfig-hwprobe.py ...

dpkg: dependency problems prevent configuration of kde-guidance-powermanager:
 kde-guidance-powermanager depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing kde-guidance-powermanager (--configure):
 dependency problems - leaving unconfigured
Setting up libkonq4 (4:3.5.7-1ubuntu26) ...

Setting up kdebase-data (4:3.5.7-1ubuntu26) ...

Setting up kdebase-bin (4:3.5.7-1ubuntu26) ...

Setting up kdm (4:3.5.7-1ubuntu26) ...
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device

Setting up kicker (4:3.5.7-1ubuntu26) ...

Setting up kcontrol (4:3.5.7-1ubuntu26) ...

Setting up kdesktop (4:3.5.7-1ubuntu26) ...

Setting up kdebase-kio-plugins (4:3.5.7-1ubuntu26) ...

Setting up kfind (4:3.5.7-1ubuntu26) ...

Setting up konqueror (4:3.5.7-1ubuntu26) ...

Setting up kdepasswd (4:3.5.7-1ubuntu26) ...

Setting up kdeprint (4:3.5.7-1ubuntu26) ...

Setting up khelpcenter (4:3.5.7-1ubuntu26) ...

Setting up kmenuedit (4:3.5.7-1ubuntu26) ...

Setting up konsole (4:3.5.7-1ubuntu26) ...

Setting up kwin (4:3.5.7-1ubuntu26) ...

Setting up ksmserver (4:3.5.7-1ubuntu26) ...

Setting up ksplash (4:3.5.7-1ubuntu26) ...

Setting up libusplash0 (0.5.6) ...
Setting up usplash (0.5.6) ...
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
update-initramfs: deferring update (trigger activated)

dpkg: dependency problems prevent configuration of kubuntu-desktop:
 kubuntu-desktop depends on hal; however:
  Package hal is not configured yet.
 kubuntu-desktop depends on hwdb-client-kde; however:
  Package hwdb-client-kde is not configured yet.
dpkg: error processing kubuntu-desktop (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of network-manager:
 network-manager depends on hal (>= 0.5.7.1); however:
  Package hal is not configured yet.
dpkg: error processing network-manager (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of network-manager-gnome:
 network-manager-gnome depends on network-manager (>= 0.6.5); however:
  Package network-manager is not configured yet.
dpkg: error processing network-manager-gnome (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of network-manager-kde:
 network-manager-kde depends on network-manager (>= 0.6.2); however:
  Package network-manager is not configured yet.
dpkg: error processing network-manager-kde (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sound-juicer:
 sound-juicer depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing sound-juicer (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of thunar-volman:
 thunar-volman depends on gnome-mount; however:
  Package gnome-mount is not configured yet.
dpkg: error processing thunar-volman (--configure):
 dependency problems - leaving unconfigured
Setting up eog (2.20.0-0ubuntu3) ...

Setting up gimp-data (2.4.0~rc3-1ubuntu2) ...
Installing new version of config file /etc/gimp/2.0/ps-menurc ...

Setting up libgimp2.0 (2.4.0~rc3-1ubuntu2) ...

Setting up gimp (2.4.0~rc3-1ubuntu2) ...

Setting up gimp-dbg (2.4.0~rc3-1ubuntu2) ...
Setting up gimp-helpbrowser (2.4.0~rc3-1ubuntu2) ...
Setting up gimp-libcurl (2.4.0~rc3-1ubuntu2) ...
Setting up gimp-python (2.4.0~rc3-1ubuntu2) ...

Setting up serpentine (0.9-0ubuntu2) ...

Setting up gutsy-wallpapers (0.17) ...

Setting up ubuntu-artwork (38) ...

Setting up python-apt (0.7.3.1ubuntu2) ...

Setting up update-manager-core (1:0.79) ...

Setting up update-manager (1:0.79) ...

dpkg: dependency problems prevent configuration of update-notifier:
 update-notifier depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing update-notifier (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ubuntu-desktop:
 ubuntu-desktop depends on gnome-power-manager; however:
  Package gnome-power-manager is not configured yet.
 ubuntu-desktop depends on gnome-session; however:
  Package gnome-session is not configured yet.
 ubuntu-desktop depends on gnome-volume-manager; however:
  Package gnome-volume-manager is not configured yet.
 ubuntu-desktop depends on hal; however:
  Package hal is not configured yet.
 ubuntu-desktop depends on hal-device-manager; however:
  Package hal-device-manager is not configured yet.
 ubuntu-desktop depends on hwdb-client-gnome; however:
  Package hwdb-client-gnome is not configured yet.
 ubuntu-desktop depends on sound-juicer; however:
  Package sound-juicer is not configured yet.
 ubuntu-desktop depends on update-notifier; however:
  Package update-notifier is not configured yet.
dpkg: error processing ubuntu-desktop (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xfce4-session:
 xfce4-session depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing xfce4-session (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xubuntu-desktop:
 xubuntu-desktop depends on gnome-mount; however:
  Package gnome-mount is not configured yet.
 xubuntu-desktop depends on hal; however:
  Package hal is not configured yet.
 xubuntu-desktop depends on thunar-volman; however:
  Package thunar-volman is not configured yet.
 xubuntu-desktop depends on xfce4-session; however:
  Package xfce4-session is not configured yet.
dpkg: error processing xubuntu-desktop (--configure):
 dependency problems - leaving unconfigured
Setting up libopal-2.2 (2.2.11~dfsg1-1ubuntu1) ...

Setting up ekiga (2.0.11-1ubuntu1) ...

Setting up libpaper1 (1.1.22ubuntu1) ...
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
Not replacing deleted config file /etc/papersize

Setting up libpaper-utils (1.1.22ubuntu1) ...
Setting up cups-pdf (2.4.6-3ubuntu6) ...
 * Reloading Common Unix Printing System: cupsd [ OK ]

Setting up language-pack-gnome-en (1:7.10+20070929) ...
Setting up gpgv (1.4.6-2ubuntu4) ...
Setting up gnupg (1.4.6-2ubuntu4) ...
Setting up ubuntu-standard (1.75) ...
Setting up gnome-screensaver (2.20.0-0ubuntu4) ...

Setting up kappfinder (4:3.5.7-1ubuntu26) ...

Setting up kate (4:3.5.7-1ubuntu26) ...

Setting up klipper (4:3.5.7-1ubuntu26) ...

Setting up konqueror-nsplugins (4:3.5.7-1ubuntu26) ...

Setting up kpersonalizer (4:3.5.7-1ubuntu26) ...

Setting up ksysguardd (4:3.5.7-1ubuntu26) ...
Setting up ksysguard (4:3.5.7-1ubuntu26) ...

Setting up libbeagle0 (0.2.18-0ubuntu3) ...

Setting up libpam-gnome-keyring (2.20-0ubuntu2) ...
Setting up libqt3-headers (3:3.3.8really3.3.7-0ubuntu11) ...
Setting up libqt3-mt-psql (3:3.3.8really3.3.7-0ubuntu11) ...
Setting up libqt4-core (4.3.1-0ubuntu3) ...

Setting up libqt4-gui (4.3.1-0ubuntu3) ...

Setting up libqt4-sql (4.3.1-0ubuntu3) ...

Setting up libqt4-qt3support (4.3.1-0ubuntu3) ...

Setting up liferea (1.4.3b-0ubuntu2) ...

Setting up network-manager-openvpn (0.3.2svn2342-1ubuntu3) ...

Setting up qt3-dev-tools (3:3.3.8really3.3.7-0ubuntu11) ...

Setting up qt4-qtconfig (4.3.1-0ubuntu3) ...

Setting up rhythmbox (0.11.2-0ubuntu4) ...

Setting up unattended-upgrades (0.25.3ubuntu1) ...
Setting up tasksel-data (2.67ubuntu9) ...
Setting up tasksel (2.67ubuntu9) ...
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device

Setting up ubuntu-minimal (1.75) ...
Setting up libgnome-window-settings1 (1:2.20.0.1-0ubuntu2) ...

Setting up gnome-control-center (1:2.20.0.1-0ubuntu2) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.22-12-xen
Errors were encountered while processing:
 hal
 gnome-mount
 gnome-power-manager
 gnome-session
 gnome-volume-manager
 hal-cups-utils
 hwdb-client-common
 hwdb-client-gnome
 hal-device-manager
 hwdb-client-kde
 kde-guidance-powermanager
 kubuntu-desktop
 network-manager
 network-manager-gnome
 network-manager-kde
 sound-juicer
 thunar-volman
 update-notifier
 ubuntu-desktop
 xfce4-session
 xubuntu-desktop
Saving new apt-history status...
E: Sub-process /usr/bin/dpkg returned an error code (1)

~$ cat /etc/init.d/hal
#! /bin/sh
### BEGIN INIT INFO
# Provides: hal
# Required-Start: $local_fs dbus
# Required-Stop: $local_fs dbus
# Should-Start: $syslog acpid
# Should-Stop: $syslog acpid
# Default-Start: 2 3 4 5
# Default-Stop: S 0 1 6
# Short-Description: Hardware abstraction layer
# Description: The HAL daemon collects and maintains information about
# your hardware.
### END INIT INFO

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/hald
PIDDIR=/var/run/hal
PIDFILE=$PIDDIR/hald.pid
NAME=hald
DAEMONUSER=haldaemon
DESC="Hardware abstraction layer"

. /lib/lsb/init-functions

test -x $DAEMON || exit 0

# Include hal defaults if available
if [ -f /etc/default/hal ] ; then
        . /etc/default/hal
fi

set -e

do_start() {
        # a crashing gparted sometimes leaves this behind; a bad hack, but we
        # should keep this in place until hal offers a native interface for
        # temporarily disabling automount (see LP #134712)
        rm -f /usr/share/hal/fdi/policy/gparted-disable-automount.fdi

        if [ ! -d $PIDDIR ]; then
                mkdir -p $PIDDIR
                chown $DAEMONUSER:$DAEMONUSER $PIDDIR
        fi
        start-stop-daemon --start --oknodo --pidfile $PIDFILE \
                --exec $DAEMON -- $DAEMON_OPTS
}

do_stop() {
        start-stop-daemon --stop --oknodo --quiet --pidfile $PIDFILE \
                --exec $DAEMON
}

case "$1" in
  start)
        if [ ! -d /proc/sys/fs/inotify ]; then
                log_failure_msg "Can't start $DESC - enable inotify support in your kernel"
                exit 0
        fi
        if [ ! -e /var/run/dbus/system_bus_socket ]; then
                log_failure_msg "Can't start $DESC - please ensure dbus is running"
                exit 0
        fi

        if [ ! -d /sys/kernel ]; then
                log_failure_msg "Can't start $DESC - sysfs not mounted on /sys"
                exit 0
        fi

        if [ "$(stat -c %d/%i /)" != "$(stat -Lc %d/%i /proc/1/root 2>/dev/null)" ]; then
                log_failure_msg "Can't start $DESC - detected chrooted session"
                exit 0
        fi

        log_daemon_msg "Starting $DESC" "$NAME"
        do_start
        log_end_msg $?
        ;;
  stop)
        log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        log_end_msg $?
        ;;
  restart|force-reload)
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        sleep 1
        do_start
        log_end_msg $?
        ;;
  *)
        log_success_msg "Usage: $0 {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0

gishi (gishi) wrote :

Same here, but solved.

I started hald manually:

   $ sudo /usr/sbin/hald --daemon=no --verbose=yes

and got this error:

    *** [DIE] mmap_cache.c:di_rules_init():68 : Unable to open cache /var/cache/hald/fdi-cache

Looking at the directory /var/cache/hald/ I found a backup copy of fd-cache ( I guess it was a backup as the filename was fd-cache~ ) and renamed it to fd-cache (the file hald is looking for):

    $ sudo mv /var/cache/hald/fd-cache~ /var/cache/hald/fd-cache

Alternatively regenerating the cache works too:

   $ sudo /usr/lib/hal/hald-generate-fdi-cache
   15:00:38.314 [I] create_cache.c:611: Loading rules
   15:01:20.211 [I] create_cache.c:677: preprobe: offset=00000014, size=347312
   15:01:20.212 [I] create_cache.c:679: information: offset=00054cc4, size=117484
   15:01:20.212 [I] create_cache.c:681: policy: offset=000717b0, size=27916
   15:01:20.212 [I] create_cache.c:683: Generating rules done (occupying 492732 bytes)

Now hald service starts correctly:

   $ sudo /etc/init.d/hal restart
   * Restarting Hardware abstraction layer hald [ OK ]

Scott Beamer (angrykeyboarder) wrote :

That doesn't solve the problem.

It's just a workaround.

Neverthless, it's one I didn't know.

Thanks.

Scott Beamer (angrykeyboarder) wrote :
Download full text (3.2 KiB)

I've not been able to get gishi's workaround to work

This is a SERIOUS bug. I don't understand why it's not affecting everyone running Gutsy.

$ sudo apt-get remove --purge hal
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  python-crypto libboost-regex1.34.1 libcluceneindex0 python-paramiko guile-g-wrap libsearchclient0
  python-dev python-rpm libboost-iostreams1.34.1 guile-library libstreamanalyzer0 xfdesktop4 g-wrap
  libtext-template-perl libpurple-bin openoffice.org-l10n-en-gb libstreams0 xfce4-utils
  openoffice.org-l10n-en-za libsexymm2 libclucene0 xfdesktop4-data libglademm-2.4-1c2a libgwrap-runtime0
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  hal*
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B of archives.
After unpacking 1733kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 242631 files and directories currently installed.)
Removing hal ...
 * Stopping Hardware abstraction layer hald [ OK ]
Purging configuration files for hal ...
 * Reloading system message bus config... [ OK ]
$ sudo apt-get install hal
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  python-crypto libboost-regex1.34.1 libcluceneindex0 python-paramiko guile-g-wrap libsearchclient0
  python-dev python-rpm libboost-iostreams1.34.1 guile-library libstreamanalyzer0 xfdesktop4 g-wrap
  libtext-template-perl libpurple-bin openoffice.org-l10n-en-gb libstreams0 xfce4-utils
  openoffice.org-l10n-en-za libsexymm2 libclucene0 xfdesktop4-data libglademm-2.4-1c2a libgwrap-runtime0
Use 'apt-get autoremove' to remove them.
Suggested packages:
  hal-device-manager
The following NEW packages will be installed:
  hal
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/689kB of archives.
After unpacking 1733kB of additional disk space will be used.
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
Selecting previously deselected package hal.
(Reading database ... 242518 files and directories currently installed.)
Unpacking hal (from .../hal_0.5.9.1-6ubuntu1_i386.deb) ...
Setting up hal (0.5.9.1-6ubuntu1) ...
 * Reloading system message bus config... [ OK ]
 * Starting Hardware abstraction layer hald invoke-rc.d: initscript hal, action "start" failed.
dpkg: error processing hal (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 hal
Saving new apt-...

Read more...

Scott Beamer (angrykeyboarder) wrote :
Download full text (8.0 KiB)

This is preventing several important pacakges from installing.

Could we get some help here please?

Thanks.

$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  python-crypto libboost-regex1.34.1 python-paramiko guile-g-wrap python-dev python-rpm
  libboost-iostreams1.34.1 guile-library g-wrap libtext-template-perl libpurple-bin
  openoffice.org-l10n-en-gb openoffice.org-l10n-en-za libsexymm2 libglademm-2.4-1c2a libgwrap-runtime0
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
21 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up hal (0.5.9.1-6ubuntu1) ...
 * Reloading system message bus config... [ OK ]
 * Starting Hardware abstraction layer hald invoke-rc.d: initscript hal, action "start" failed.
dpkg: error processing hal (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of gnome-mount:
 gnome-mount depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing gnome-mount (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-power-manager:
 gnome-power-manager depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing gnome-power-manager (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-session:
 gnome-session depends on gnome-power-manager; however:
  Package gnome-power-manager is not configured yet.
dpkg: error processing gnome-session (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-volume-manager:
 gnome-volume-manager depends on hal (>= 0.5.5.1); however:
  Package hal is not configured yet.
 gnome-volume-manager depends on gnome-mount; however:
  Package gnome-mount is not configured yet.
dpkg: error processing gnome-volume-manager (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of hal-cups-utils:
 hal-cups-utils depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing hal-cups-utils (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of hwdb-client-common:
 hwdb-client-common depends on hal; however:
  Package hal is not configured yet.
dpkg: error processing hwdb-client-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of hwdb-client-gnome:
 hwdb-client-gnome depends on hwdb-client-common (>= 0.6-0ubuntu23); however:
  Package hwdb-client-common is not configured yet.
dpkg: error processing hwdb-client-gnome (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ha...

Read more...

Scott Beamer (angrykeyboarder) wrote :
Download full text (5.2 KiB)

I played around with this some more. Among the things I did uninstalling (purging) hal and reinstalling.

$ sudo apt-get remove --purge hal
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer
required:
  python-crypto libboost-regex1.34.1 python-paramiko guile-g-wrap
python-dev python-rpm
  libboost-iostreams1.34.1 guile-library xfdesktop4 g-wrap
libtext-template-perl libpurple-bin
  openoffice.org-l10n-en-gb xfce4-utils openoffice.org-l10n-en-za
libsexymm2 xfdesktop4-data
  libglademm-2.4-1c2a libgwrap-runtime0
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  gnome-mount* gnome-power-manager* gnome-session* gnome-volume-manager*
hal* hal-cups-utils*
  hal-device-manager* hwdb-client-common* hwdb-client-gnome*
hwdb-client-kde* kde-guidance-powermanager*
  kubuntu-desktop* network-manager* network-manager-gnome*
network-manager-kde* sound-juicer*
  thunar-volman* ubuntu-desktop* update-notifier* xfce4-session*
xubuntu-desktop*
0 upgraded, 0 newly installed, 21 to remove and 5 not upgraded.
21 not fully installed or removed.
Need to get 0B of archives.
After unpacking 38.5MB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 247241 files and directories currently installed.)
Removing xubuntu-desktop ...
Removing thunar-volman ...
Purging configuration files for thunar-volman ...
Removing ubuntu-desktop ...
Removing gnome-volume-manager ...
Purging configuration files for gnome-volume-manager ...
Removing gnome-mount ...
Purging configuration files for gnome-mount ...
Removing gnome-session ...
Purging configuration files for gnome-session ...
Removing gnome-power-manager ...
Purging configuration files for gnome-power-manager ...
Removing xfce4-session ...
Purging configuration files for xfce4-session ...
Removing update-notifier ...
Purging configuration files for update-notifier ...
Removing sound-juicer ...
Purging configuration files for sound-juicer ...
Removing network-manager-kde ...
Purging configuration files for network-manager-kde ...
Removing network-manager-gnome ...
Purging configuration files for network-manager-gnome ...
Removing network-manager ...
Purging configuration files for network-manager ...
Removing kubuntu-desktop ...
Removing kde-guidance-powermanager ...
Removing hwdb-client-kde ...
Removing hal-device-manager ...
Purging configuration files for hal-device-manager ...
Removing hwdb-client-gnome ...
Removing hwdb-client-common ...
Purging configuration files for hwdb-client-common ...
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 171
  Major opcode: 149
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
Removing hal-cups-utils ...
Removing hal ...
 * Stopping Hardware abstraction layer hald
                            [ OK ]
Purging configuration files for hal ...
 * Reloading system message bus config...
                            [ OK ]
Processing triggers for libc6 ...
ldconfig def...

Read more...

Mikael Nilsson (mini) wrote :

Did you try a manual start of hald:

sudo /usr/sbin/hald --daemon=no --verbose=yes

Scott Beamer (angrykeyboarder) wrote :

I'm not familliar with that one so no. But...

I have now. :)

$ sudo /usr/sbin/hald --daemon=no --verbose=yes
[sudo] password for scott:
03:13:09.344 [I] hald.c:529: hal 0.5.9.1
03:13:09.345 [I] hald.c:594: Will not daemonize
03:13:09.360 [I] hald_dbus.c:4807: local server is listening at unix:abstract=/var/run/hald/dbus-ka5FEEAW8E,guid=f719668913aa1aea4042a60047060e35
03:13:09.369 [I] hald_runner.c:299: Runner has pid 13581
Runner started - allowed paths are '/usr/lib/hal:/usr/lib/hal/scripts:/usr/bin'
03:13:09.372 [W] ci-tracker.c:200: Could not get uid for connection: org.freedesktop.DBus.Error.NameHasNoOwner Could not get UID of name 'org.freedesktop.DBus': no such name
03:13:09.372 [E] hald_dbus.c:4462: Cannot get caller info for org.freedesktop.DBus
03:13:09.372 [I] hald_runner.c:180: runner connection is 0x8094660
03:13:09.372 [I] mmap_cache.c:251: cache mtime is 1191576748
03:13:09.373 [W] ids.c:294: Couldn't stat pci.ids file '/usr/share/misc/pci.ids', errno=13: Permission denied
03:13:09.373 [W] ids.c:515: Couldn't stat usb.ids file '/usr/share/misc/usb.ids', errno=13: Permission denied
03:13:09.373 [E] osspec.c:310: Unable to inotify_add_watch() for '/usr/share/hal/fdi/preprobe': Permission denied
*** [DIE] osspec.c:watch_fdi_files():389 : Error watching fdi files

Scott Beamer (angrykeyboarder) wrote :

I'm truly baffled as to what caused this problem but I just did fresh install with the latest daily CD and the problem is gone.

The problem is not solved for me. HALD starts but I have to start it manually each time.
Also when I plug in an USB device there's no automount anymore. Maybe it's a dbus problem ?

Risto H. Kurppa (risto.kurppa) wrote :

Gutsy, updated from Feisty w. Kubuntu. Hal is trying to start on system init, but can't do it. I can start it manually with no error messages.

Syslog doesn't show anything weird, only messages similar to these (I guess they are the result of hal's HW scan or something after manually starting hal:)
Oct 10 10:58:11 localhost NetworkManager: <debug> [1192003091.413363] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/storage_serial_1ATA_SAMSUNG_HD401LJ_S0HVJ1TP200576').
Oct 10 10:58:11 localhost NetworkManager: <debug> [1192003091.416236] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/volume_uuid_d22e34a7_79f2fcc0_d8e00157_c2def9a6_0').
Oct 10 10:58:11 localhost NetworkManager: <debug> [1192003091.457971] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/volume_part2_size_10248698880_0').
Oct 10 10:58:11 localhost NetworkManager: <debug> [1192003091.477078] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/volume_uuid_d94cca15_b20c_4cbf_8b86_009674baba03').
Oct 10 10:58:11 localhost NetworkManager: <debug> [1192003091.481376] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/volume_part4_size_1024_0').
Oct 10 10:58:11 localhost NetworkManager: <debug> [1192003091.485277] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/volume_uuid_e6109aa4_16fc5a88_1d4bc0dd_a29cc625_0').
Oct 10 10:58:11 localhost NetworkManager: <debug> [1192003091.506888] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/acpi_CPU2').
Oct 10 10:58:11 localhost NetworkManager: <debug> [1192003091.508784] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/acpi_CPU1').
Oct 10 10:58:11 localhost NetworkManager: <debug> [1192003091.509230] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/storage_model_CD/DVDW_SH_S182M').

Florent Mertens (givre) wrote :

Vittorio Ballestra & Risto H. Kurppa , you might be affected by https://bugs.edge.launchpad.net/ubuntu/+source/dbus/+bug/25931

Check hal init position : ls -l /etc/rc2.d/*hal
and dbus init position : ls -l /etc/rc2.d/*dbus
Should be both 12.

Wolfgang Kastaun (wkastauntat) wrote :

Since the Update to Gutsy I have the same problem: most of the time, hald doesnt work.
However, I cannot restart it because I cannot kill it (as root). Thats funny, because according to top, I dont have any zombie processes, so why cant I kill it ?
So hald shows up in ps, but is not responding, e.g.:
>lshal
*** [DIE] lshal.c:dump_devices():285 : Couldn't obtain list of devices

I also tried to mess around with boot priorities in rc2.d, as suggested elsewhere, to no avail. Currently, I have:

>ls -l /etc/rc2.d/*hal
lrwxrwxrwx 1 root root 13 2007-10-18 20:27 /etc/rc2.d/S12hal -> ../init.d/hal
>ls -l /etc/rc2.d/*dbus
lrwxrwxrwx 1 root root 14 2007-10-04 21:56 /etc/rc2.d/S12dbus -> ../init.d/dbus

Also, the file

>ls /var/cache/hald/ -l
total 485
-rw-r--r-- 1 root root 492408 2007-10-19 00:43 fdi-cache

is present.

This leaves my laptop in a pretty unusable state, any help would be greatly appreciated.
I'll provide any requested information to solve this.
As a workaround, is it possible to downgrade hal in Gutsy ?

rmagyar (magyar-richard) wrote :

In Gutsy, when concurrent booting enabled, hald try to start before dbus.
If you are using concurrent bootin, try to disable it (/etc/init.d/rc)

Wolfgang Kastaun (wkastauntat) wrote :

This was disabled from the beginning, i.e. in /etc/init.d/rc I have a line
CONCURRENCY=none

This sounds like Bug #25931 which recently received a fix. Is this still happening with a current Gutsy system?

Changed in hal:
status: New → Incomplete
Jonathan Thomas (echidnaman) wrote :

We are closing this bug report because it lacks the information we need to investigate the problem, as described in the previous comments. Please reopen it if you can give us the missing information, and don't hesitate to submit bug reports in the future. To reopen the bug report you can click on the current status, under the Status column, and change the Status back to "New". Thanks again!

Changed in hal:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers